summary.mask {secr} | R Documentation

## Summarise Habitat Mask

### Description

Concise summary of a `mask` object.

### Usage

    ## S3 method for class 'mask'
    summary(object, ...)
    ## S3 method for class 'summary.mask'
    print(x, ...)

### Arguments

`object` | `mask` object
`x` | `summary.mask` object
`...` | other arguments (not used)

### Details

The bounding box is the smallest rectangular area with edges parallel to the x- and y-axes that contains all points and their associated grid cells. A print method is provided for objects of class `summary.mask`.

### Value

Object of class ‘summary.mask’, a list with components

`detector` | character string for detector type ("single","multi","proximity")
`type` | mask type ("traprect", "trapbuffer", "pdot", "polygon", "user", "subset")
`nmaskpoints` | number of points in mask
`xrange` | range of x coordinates
`yrange` | range of y coordinates
`meanSD` | dataframe with mean and SD of x, y, and each covariate
`spacing` | nominal spacing of points
`cellarea` | area (ha) of grid cell associated with each point
`bounding box` | dataframe with x-y coordinates for vertices of bounding box
`covar` | summary of each covariate

### See Also

`mask`

### Examples

    tempmask <- make.mask(make.grid())
    ## left to right gradient
    covariates (tempmask) <- data.frame(x = tempmask$x)
    summary(tempmask)

[Package secr version 3.2.1 Index]